io.c(3)

NAME
io.c - I/O helper routines.

SYNOPSIS

#include <config.h>
#include <stddef.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <sys/file.h>
#include <errno.h>
#include <poll.h>
#include 'dirname.h'
#include <wget.h>
#include 'private.h'

  Functions
ssize_t wget_fdgetline (char **buf, size_t *bufsize, int fd)
ssize_t wget_getline (char **buf, size_t *bufsize, FILE *fp)
int wget_ready_2_transfer (int fd, int timeout, int mode)
int wget_ready_2_read (int fd, int timeout)
int wget_ready_2_write (int fd, int timeout)
char * wget_read_file (const char *fname, size_t *size)
int wget_update_file (const char *fname, wget_update_load_fn *load_func, wget_update_load_fn *save_func, void *context)
int wget_truncate (const char *path, off_t length)

Detailed Description

I/O helper routines.

Author

Generated automatically by Doxygen for wget2 from the source code.